package orderservicelogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-order-service/gen_result/pb/order"
	"code.30cm.net/digimon/app-cloudep-order-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type CancelOrderLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewCancelOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CancelOrderLogic {
	return &CancelOrderLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// CancelOrder 取消訂單
func (l *CancelOrderLogic) CancelOrder(in *order.CancelOrderReq) (*order.OKResp, error) {
	// todo: add your logic here and delete this line

	return &order.OKResp{}, nil
}
