package orderservicelogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-order-service/gen_result/pb/order"
	"code.30cm.net/digimon/app-cloudep-order-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type CreateOrderLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewCreateOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CreateOrderLogic {
	return &CreateOrderLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// CreateOrder 建立訂單
func (l *CreateOrderLogic) CreateOrder(in *order.CreateOrderReq) (*order.OKResp, error) {
	// todo: add your logic here and delete this line

	return &order.OKResp{}, nil
}
