package orderservicelogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-order-service/gen_result/pb/order"
	"code.30cm.net/digimon/app-cloudep-order-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type DeleteOrderLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteOrderLogic {
	return &DeleteOrderLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// DeleteOrder 刪除訂單（軟刪除）
func (l *DeleteOrderLogic) DeleteOrder(in *order.DeleteOrderReq) (*order.OKResp, error) {
	// todo: add your logic here and delete this line

	return &order.OKResp{}, nil
}
