package orderservicelogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-order-service/gen_result/pb/order"
	"code.30cm.net/digimon/app-cloudep-order-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type OrderStatusTimeoutLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewOrderStatusTimeoutLogic(ctx context.Context, svcCtx *svc.ServiceContext) *OrderStatusTimeoutLogic {
	return &OrderStatusTimeoutLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// OrderStatusTimeout 訂單超時任務/cron/order-status/timeout
func (l *OrderStatusTimeoutLogic) OrderStatusTimeout(in *order.OrderStatusTimeoutReq) (*order.OKResp, error) {
	// todo: add your logic here and delete this line

	return &order.OKResp{}, nil
}
